package org.qatools.util;

import java.util.Random;

import org.apache.log4j.Logger;


public abstract class IntUtil extends QAToolsUtil {
    private static Logger sLogger = Logger.getLogger(IntUtil.class);

    
    // ------------------------------------------------------
    // ----- getRandomInt -----------------------------------
    // ------------------------------------------------------

    /**
     * Returns random random int >= 0 and < n
     */
    public static int getRandomInt(int n) {
        int i = 0;
        try {
            Random r = new Random();
            i = r.nextInt(n); 
            sLogger.debug("getRandomInt(" + n + ") = " + i);
        } catch (IllegalArgumentException iae) {
            sLogger.error("Illegal Argument passed. " + iae.getLocalizedMessage());
        }
        return i;
    }

    /**
     * 
     * @param arraysize
     * @param maxint
     * @return
     */
    public static int[] getRandomInts(int arraysize, int maxint) {
    	int[] arr = new int[arraysize];
    	for (int i=0; i<arraysize; i++) {
    		arr[i] = getRandomInt(maxint);
    	}
    	return arr;
    }
    
}
